Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/pom.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/pom.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/pom.xml	(revision 38359)
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>org.gvsig.installer.app</artifactId>
+	<packaging>pom</packaging>
+	<version>2.0-SNAPSHOT</version>
+	<name>org.gvsig.installer.app</name>
+	<description>gvSIG plugin to create a installers or install plugins in gvSIG</description>
+    <parent>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.maven.base.extension.pom</artifactId>
+        <version>1.0.8-SNAPSHOT</version>
+    </parent>
+    <scm>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/extensions/org.gvsig.installer.app</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/branches/v2_0_0_prep/extensions/org.gvsig.installer.app</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/branches/v2_0_0_prep/extensions/org.gvsig.installer.app</url>
+    </scm>
+	<developers>
+		<developer>
+			<id>jjdelcerro</id>
+			<name>Joaquín José del Cerro</name>
+			<email>jjdelcerro@gvsig.org</email>
+			<roles>
+				<role>Architect</role>
+			</roles>
+		</developer>
+		<developer>
+			<id>jpiera</id>
+			<name>Jorge Piera Llodrá</name>
+			<email>jpiera@gvsig.org</email>
+			<roles>
+				<role>Architect</role>
+				<role>Developer</role>
+			</roles>
+		</developer>
+	</developers>
+	<repositories>
+		<repository>
+			<id>gvsig-public-http-repository</id>
+			<name>gvSIG maven public HTTP repository</name>
+            <url>http://devel.gvsig.org/m2repo/j2se</url>
+			<releases>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</releases>
+			<snapshots>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</snapshots>
+		</repository>
+	</repositories>
+    <dependencyManagement>
+        <dependencies>          
+            <dependency>
+                <groupId>org.gvsig</groupId>
+                <artifactId>org.gvsig.core.maven.dependencies</artifactId>
+                <version>2.0.1-SNAPSHOT</version>
+                <type>pom</type>
+                <scope>import</scope>
+            </dependency>
+        </dependencies>
+    </dependencyManagement>
+	<modules>
+		<module>org.gvsig.installer.app.extension</module>
+	</modules>
+	<properties>
+		<package.info.state>alpha5</package.info.state>
+	</properties>
+</project>
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/pom.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java	(revision 38359)
@@ -0,0 +1,81 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+
+package org.gvsig.installer.app.extension.execution;
+
+import java.awt.BorderLayout;
+import java.awt.Dimension;
+import java.io.File;
+
+import javax.swing.JPanel;
+
+import org.gvsig.andami.ui.mdiManager.IWindow;
+import org.gvsig.andami.ui.mdiManager.WindowInfo;
+import org.gvsig.i18n.Messages;
+import org.gvsig.installer.app.extension.utils.WindowInstallerListener;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
+import org.gvsig.installer.swing.api.execution.InstallPackageWizardException;
+import org.gvsig.tools.locator.LocatorException;
+
+/**
+ * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
+ */
+public class InstallPackageWindow extends JPanel implements IWindow {
+
+	private static final long serialVersionUID = 4719868181091291809L;
+	WindowInfo windowInfo = null;
+
+	public InstallPackageWindow(File applicationFolder, File installFolder)
+			throws LocatorException, InstallPackageWizardException {
+		super();
+		AbstractInstallPackageWizard installPackageWizard = SwingInstallerLocator
+				.getSwingInstallerManager().createInstallPackageWizard(
+						applicationFolder, installFolder);
+		installPackageWizard
+				.setWizardActionListener(new WindowInstallerListener(this));
+		this.setLayout(new BorderLayout());
+		add(installPackageWizard, BorderLayout.CENTER);
+	}
+
+	public WindowInfo getWindowInfo() {
+		if (windowInfo == null) {
+			windowInfo = new WindowInfo(WindowInfo.MODELESSDIALOG
+					| WindowInfo.ICONIFIABLE | WindowInfo.RESIZABLE);
+			Dimension dim = getPreferredSize();
+			windowInfo.setWidth((int) dim.getWidth());
+			windowInfo.setHeight((int) dim.getHeight());
+			windowInfo.setTitle(Messages.getText("install_package"));
+		}
+		return windowInfo;
+	}
+
+	public Object getWindowProfile() {
+		return WindowInfo.DIALOG_PROFILE;
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageWindow.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 38359)
@@ -0,0 +1,104 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+
+package org.gvsig.installer.app.extension.execution;
+
+import java.io.BufferedReader;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.net.MalformedURLException;
+import java.net.URL;
+
+import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.PluginsLocator;
+import org.gvsig.andami.PluginsManager;
+import org.gvsig.andami.plugins.Extension;
+import org.gvsig.app.ApplicationLocator;
+import org.gvsig.app.extension.Version;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.SwingInstallerManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+/**
+ * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
+ */
+public class InstallPackageExtension extends Extension {
+
+	private static final Logger LOG = LoggerFactory
+			.getLogger(InstallPackageExtension.class);
+
+	public void execute(String actionCommand) {
+		PluginsManager manager = PluginsLocator.getManager();
+		try {
+			PluginServices.getMDIManager().addCentredWindow(
+					new InstallPackageWindow(manager.getApplicationFolder(),
+							manager.getInstallFolder()));
+		} catch (Error e) {
+			LOG.error("Error creating the wizard to install a package ", e);
+		} catch (Exception e) {
+			LOG.error("Error creating the wizard to install a package ", e);
+		}
+	}
+
+	public void initialize() {
+		Version version = ApplicationLocator.getManager().getVersion();
+
+		try {
+			SwingInstallerManager manager = SwingInstallerLocator
+					.getSwingInstallerManager();
+			InputStream is = this.getClass().getResourceAsStream(
+					"/defaultDownloadsURLs");
+			BufferedReader in = new BufferedReader(new InputStreamReader(is));
+			String line = null;
+			for (line = in.readLine(); line != null; line = in.readLine()) {
+				line = line.replace("$version", version.getFormat());
+				line = line.replace("<%Version%>", version.getFormat());
+				try {
+					manager.addDefaultDownloadURL(new URL(line));
+				} catch (MalformedURLException e) {
+					LOG.error(
+							"Error creating the default packages download URL pointing to "
+									+ line, e);
+				}
+			}
+			manager.getInstallerManager().setVersion(version.getFormat());
+		} catch (Throwable e) {
+			LOG.error("Error reading the default packages download URL file "
+					+ "/defaultDownloadsURLs", e);
+		}
+	}
+
+	public boolean isEnabled() {
+		return true;
+	}
+
+	public boolean isVisible() {
+		return true;
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java	(revision 38359)
@@ -0,0 +1,80 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+
+package org.gvsig.installer.app.extension.creation;
+
+import java.awt.BorderLayout;
+import java.awt.Dimension;
+import java.io.File;
+
+import javax.swing.JPanel;
+
+import org.gvsig.andami.ui.mdiManager.IWindow;
+import org.gvsig.andami.ui.mdiManager.WindowInfo;
+import org.gvsig.i18n.Messages;
+import org.gvsig.installer.app.extension.utils.WindowInstallerListener;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.creation.MakePluginPackageWizard;
+import org.gvsig.installer.swing.api.creation.MakePluginPackageWizardException;
+import org.gvsig.tools.locator.LocatorException;
+
+/**
+ * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
+ */
+public class MakePluginPackageWindow extends JPanel implements IWindow {
+
+	private static final long serialVersionUID = 3423389124323013058L;
+	WindowInfo windowInfo = null;
+
+	public MakePluginPackageWindow(File applicationFolder, File installFolder)
+			throws LocatorException, MakePluginPackageWizardException {
+		super();
+		MakePluginPackageWizard makePluginPackageWizard = SwingInstallerLocator
+				.getSwingInstallerManager().createMakePluginPackageWizard(
+						applicationFolder, installFolder);
+		makePluginPackageWizard
+				.setWizardActionListener(new WindowInstallerListener(this));
+		this.setLayout(new BorderLayout());
+		add(makePluginPackageWizard, BorderLayout.CENTER);
+	}
+
+	public WindowInfo getWindowInfo() {
+		if (windowInfo == null) {
+			windowInfo = new WindowInfo(WindowInfo.MODELESSDIALOG
+					| WindowInfo.ICONIFIABLE | WindowInfo.RESIZABLE);
+			Dimension dim = getPreferredSize();
+			windowInfo.setWidth((int) dim.getWidth());
+			windowInfo.setHeight((int) dim.getHeight());
+			windowInfo.setTitle(Messages.getText("make_plugin_package"));
+		}
+		return windowInfo;
+	}
+
+	public Object getWindowProfile() {
+		return WindowInfo.DIALOG_PROFILE;
+	}
+}

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageWindow.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java	(revision 38359)
@@ -0,0 +1,81 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+
+package org.gvsig.installer.app.extension.creation;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.PluginsLocator;
+import org.gvsig.andami.PluginsManager;
+import org.gvsig.andami.plugins.Extension;
+import org.gvsig.app.ApplicationLocator;
+import org.gvsig.app.extension.Version;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+
+/**
+ * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
+ */
+public class MakePluginPackageExtension extends Extension {
+
+	private static final Logger LOG = LoggerFactory
+			.getLogger(MakePluginPackageExtension.class);
+
+	public void execute(String actionCommand) {
+		PluginsManager manager = PluginsLocator.getManager();
+
+		try {
+			PluginServices.getMDIManager().addCentredWindow(
+					new MakePluginPackageWindow(manager.getApplicationFolder(),
+							manager.getInstallFolder()));
+		} catch (Exception e) {
+			LOG.error("Error creating teh wizard to create an installer ", e);
+		}
+	}
+
+	public void initialize() {
+
+	}
+
+	@Override
+	public void postInitialize() {
+		super.postInitialize();
+		Version version = ApplicationLocator.getManager().getVersion();
+		SwingInstallerLocator.getSwingInstallerManager().setApplicationVersion(
+				version.getFormat());
+	}
+
+	public boolean isEnabled() {
+		return true;
+	}
+
+	public boolean isVisible() {
+		return true;
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/utils/WindowInstallerListener.java
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/utils/WindowInstallerListener.java	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/utils/WindowInstallerListener.java	(revision 38359)
@@ -0,0 +1,59 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+
+package org.gvsig.installer.app.extension.utils;
+
+import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.ui.mdiManager.IWindow;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardActionListener;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
+
+/**
+ * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
+ */
+public class WindowInstallerListener implements InstallerWizardActionListener {
+
+	private IWindow window = null;
+
+	public WindowInstallerListener(IWindow window) {
+		super();
+		this.window = window;
+	}
+
+	public void closeWizard() {
+		PluginServices.getMDIManager().closeWindow(window);
+	}
+
+	public void cancel(InstallerWizardPanel installerWizard) {
+		PluginServices.getMDIManager().closeWindow(window);
+	}
+
+	public void finish(InstallerWizardPanel installerWizard) {
+		PluginServices.getMDIManager().closeWindow(window);
+	}
+
+}

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/utils/WindowInstallerListener.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text.properties
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text.properties	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text.properties	(revision 38359)
@@ -0,0 +1,18 @@
+make_plugin_package=Crear paquete instalación de plugin
+make_plugin_package_description=Crea un paquete de instalación de un plugin instalado
+addons_manager=Administrador de complementos
+addons_manager_description=Muestra el administrador de complementos (plugin, traducciones, temas, etc.) de gvSIG
+_select_an_option=Seleccione una opción
+_Cant_install_packege=No se puede instalar el paquete
+_Finished=Finalizado
+_this_is_not_an_official_package=Este no es un paquete oficial
+_this_is_not_a_final_package=Este no es un paquete final
+_Creating_index=Creando índice
+_Compressing=Comprimiendo
+_Cant_create_package=No se puede crear el paquete
+_Installer_progress=Progreso de instalación
+_Cant_download_package_files=No se pueden descargar los archivos del paquete
+_Downloading=Descargando
+_Downloading_error=Error descargando
+_Download_progress=Progreso de descarga
+_Start_download=Iniciar descarga

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text_en.properties
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text_en.properties	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text_en.properties	(revision 38359)
@@ -0,0 +1,19 @@
+make_plugin_package=Create plugin installation package
+make_plugin_package_description=Create an installation package from an already installed plugin
+addons_manager=Addons manager
+addons_manager_description=Show the addons manager
+_select_an_option=Select an option
+_Cant_install_packege=Can't install package
+_Finished=Finished
+_this_is_not_an_official_package=This is not an official package
+_this_is_not_a_final_package=This is not a final package
+_Creating_index=Creating index
+_Compressing=Compressing
+_Cant_create_package=Can't create package
+_Installer_progress=Installation progress
+_Cant_download_package_files=Can't download package files
+_Downloading=Downloading
+_Downloading_error=Downloading error
+_Download_progress=Download progress
+_Start_download=Start download
+

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/locale/text_en.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/config/config.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/config/config.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/config/config.xml	(revision 38359)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<plugin-config>
+	<libraries library-dir="lib"/>
+	<depends plugin-name="org.gvsig.app"/>
+	<resourceBundle name="text"/>
+	<extensions>
+		<extension class-name="org.gvsig.installer.app.extension.creation.MakePluginPackageExtension"
+			description="This extension is used to create a bundle for a plugin package from the current gvSIG application."
+			active="true">
+			<menu text="tools/Development/make_plugin_package"
+				  tooltip="make_plugin_package_description"
+				  position= "7009075"
+				  action-command="" />			
+		</extension>
+			<extension class-name="org.gvsig.installer.app.extension.execution.InstallPackageExtension"
+			description="This extension is used to install a package from a bundle in gvSIG"
+			active="true">
+			<menu text="tools/addons_manager"
+				  tooltip="addons_manager_description"
+				  position= "7009070"
+				  icon="images/system-software-update.png"
+				  action-command="" />			
+		</extension>
+	</extensions>
+</plugin-config>
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/config/config.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/defaultDownloadsURLs
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/defaultDownloadsURLs	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/defaultDownloadsURLs	(revision 38359)
@@ -0,0 +1,2 @@
+http://downloads.gvsig.org/download/gvsig-desktop
+http://gvsig.freegis.ru/download/gvsig-desktop
\ No newline at end of file
Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/images/system-software-update.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/resources/images/system-software-update.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/pom.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/pom.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/pom.xml	(revision 38359)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>org.gvsig.installer.app.extension</artifactId>
+	<packaging>jar</packaging>
+	<name>Add-ons manager</name>
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>org.gvsig.installer.app</artifactId>
+		<version>2.0-SNAPSHOT</version>
+	</parent>
+	<profiles>
+    	<profile>
+    		<id>gvsig-install</id>
+    		<activation>
+    			<activeByDefault>true</activeByDefault>
+    		</activation>
+    		<properties>
+				<!--  gvSIG installation folder -->
+    			<gvsig.install.dir>${basedir}/../../build/product</gvsig.install.dir>
+    		</properties>
+    	</profile>
+   	</profiles>
+	<dependencies>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.app</artifactId>
+            <version>2.0-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.andami</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.tools.lib</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.i18n</artifactId>
+            <scope>compile</scope>
+        </dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.lib.api</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.lib.impl</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+			<scope>runtime</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.lib.spi</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.prov.plugin</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.swing.api</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+            <scope>compile</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.installer.swing.impl</artifactId>
+			<version>1.0.1-SNAPSHOT</version>
+			<scope>runtime</scope>
+		</dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+            <scope>compile</scope>
+        </dependency>        
+	</dependencies>
+	<properties>
+		<package.info.categories>Addon Management</package.info.categories>
+	</properties>
+</project>
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/pom.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/distribution/distribution.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/distribution/distribution.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/distribution/distribution.xml	(revision 38359)
@@ -0,0 +1,49 @@
+<assembly>
+	<id>distribution</id>
+	<formats>
+		<format>dir</format>
+	</formats>
+	<fileSets>
+		<fileSet>
+			<directory>src/main/resources/config</directory>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</fileSet>
+		<fileSet>
+			<directory>src/main/resources/images</directory>
+			<outputDirectory>${extension.install.dir.name}/images
+			</outputDirectory>
+		</fileSet>
+		<fileSet>
+			<directory>src/main/resources/about</directory>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</fileSet>
+		<fileSet>
+			<directory>src/main/resources/locale</directory>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</fileSet>	
+		<fileSet>
+			<directory>src/main/resources</directory>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</fileSet>	
+	</fileSets>
+	<files>
+		<file>
+			<source>package.info</source>
+			<outputDirectory>${extension.install.dir.name}
+			</outputDirectory>
+		</file>
+	</files>
+	<dependencySets>
+		<dependencySet>
+			<outputDirectory>${extension.install.dir.name}/${library-dir}
+			</outputDirectory>
+			<includes>
+				<include>org.gvsig:org.gvsig.installer.app.extension:jar</include>		
+			</includes>
+		</dependencySet>		
+	</dependencySets>
+</assembly>

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/distribution/distribution.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension/buildNumber.properties	(revision 38359)
@@ -0,0 +1,3 @@
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:36 CEST 2012
+buildNumber=2047

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/org.gvsig.installer.app.extension
___________________________________________________________________
Added: svn:ignore
   + .classpath 
.project 
.settings 
target
bin
.settings
.classpath
.project
package.info


Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/distribution/distribution.xml
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/distribution/distribution.xml	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/distribution/distribution.xml	(revision 38359)
@@ -0,0 +1,2 @@
+<assembly>
+</assembly>
\ No newline at end of file

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/distribution/distribution.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/buildNumber.properties
===================================================================
--- tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/buildNumber.properties	(revision 0)
+++ tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app/buildNumber.properties	(revision 38359)
@@ -0,0 +1,3 @@
+#maven.buildNumber.plugin properties file
+#Tue May 29 16:38:35 CEST 2012
+buildNumber=2053

Property changes on: tags/v2_0_0_Build_2047/extensions/org.gvsig.installer.app/org.gvsig.installer.app
___________________________________________________________________
Added: svn:ignore
   + .classpath 
.project 
.settings 
target
bin
.settings
.project


